### php.java.faces

# Class PhpFacesPropertyResolver

- `java.lang.Object`

- `javax.faces.el.PropertyResolver`

- `php.java.faces.PhpFacesPropertyResolver`

`public class PhpFacesPropertyResolver`
`extends javax.faces.el.PropertyResolver`

A custom property resolver for php scripts

Author:
  jostb

See Also:
  `Script`

## Constructor Summary

`PhpFacesPropertyResolver(javax.faces.el.PropertyResolver resolver)`
  Create a custom resolver from the given resolver.

## Method Summary

`java.lang.Class`

`getType(java.lang.Object base, int index)`

`java.lang.Class`

`getType(java.lang.Object base, java.lang.Object property)`

`java.lang.Object`

`getValue(java.lang.Object base, int index)`

`java.lang.Object`

`getValue(java.lang.Object base, java.lang.Object property)`

`boolean`

`isReadOnly(java.lang.Object base, int index)`

`boolean`

`isReadOnly(java.lang.Object base, java.lang.Object property)`

`void`

`setValue(java.lang.Object base, int index, java.lang.Object value)`

`void`

`setValue(java.lang.Object base, java.lang.Object property, java.lang.Object value)`

### Methods inherited from class javax.faces.el.PropertyResolver

`getType`, `getType`, `getValue`, `getValue`, `isReadOnly`, `isReadOnly`, `setValue`, `setValue`

### Methods inherited from class java.lang.Object

`equals`, `getClass`, `hashCode`, `notify`, `notifyAll`, `toString`, `wait`, `wait`, `wait`

## Constructor Details

### PhpFacesPropertyResolver

    public PhpFacesPropertyResolver(javax.faces.el.PropertyResolver resolver)

> Create a custom resolver from the given resolver.

> Parameters:
>   `resolver` -

## Method Details

### getType

    public java.lang.Class getType(java.lang.Object base,
                                   int index)
                throws javax.faces.el.EvaluationException,
                       javax.faces.el.PropertyNotFoundException

> Overrides:
>   getType in interface javax.faces.el.PropertyResolver

### getType

    public java.lang.Class getType(java.lang.Object base,
                                   java.lang.Object property)
                throws javax.faces.el.EvaluationException,
                       javax.faces.el.PropertyNotFoundException

> Overrides:
>   getType in interface javax.faces.el.PropertyResolver

### getValue

    public java.lang.Object getValue(java.lang.Object base,
                                     int index)
                throws javax.faces.el.EvaluationException,
                       javax.faces.el.PropertyNotFoundException

> Overrides:
>   getValue in interface javax.faces.el.PropertyResolver

### getValue

    public java.lang.Object getValue(java.lang.Object base,
                                     java.lang.Object property)
                throws javax.faces.el.EvaluationException,
                       javax.faces.el.PropertyNotFoundException

> Overrides:
>   getValue in interface javax.faces.el.PropertyResolver

### isReadOnly

    public boolean isReadOnly(java.lang.Object base,
                              int index)
                throws javax.faces.el.EvaluationException,
                       javax.faces.el.PropertyNotFoundException

> Overrides:
>   isReadOnly in interface javax.faces.el.PropertyResolver

### isReadOnly

    public boolean isReadOnly(java.lang.Object base,
                              java.lang.Object property)
                throws javax.faces.el.EvaluationException,
                       javax.faces.el.PropertyNotFoundException

> Overrides:
>   isReadOnly in interface javax.faces.el.PropertyResolver

### setValue

    public void setValue(java.lang.Object base,
                         int index,
                         java.lang.Object value)
                throws javax.faces.el.EvaluationException,
                       javax.faces.el.PropertyNotFoundException

> Overrides:
>   setValue in interface javax.faces.el.PropertyResolver

### setValue

    public void setValue(java.lang.Object base,
                         java.lang.Object property,
                         java.lang.Object value)
                throws javax.faces.el.EvaluationException,
                       javax.faces.el.PropertyNotFoundException

> Overrides:
>   setValue in interface javax.faces.el.PropertyResolver